/*
Plugin Name: Psli-BingMaps
Author: psli 
*/

// Global data
var psli_g_PolygonColor = new Microsoft.Maps.Color(100,20,0,20);
var psli_g_VerticeInitial = new Array();
var psli_g_ZoomEntity = new Array();
var psli_g_Vertice;
var psli_g_ZoneDraw;
var psli_g_Map;
var psli_g_BingKey;
var psli_g_MapOptions;
var psli_g_MapCenter;
var psli_g_zoomInitial;

// Data for guest
for (var i = 0; i < 20; i++)
	psli_g_ZoomEntity.push(new Microsoft.Maps.EntityCollection());

/**************************************************************************/
// JS global function for Map
function psli_InitMap() {
	psli_g_Map = new Microsoft.Maps.Map(document.getElementById("myMap"), psli_g_MapOptions);
	Microsoft.Maps.Events.addHandler(psli_g_Map, "viewchangeend", psli_MapViewChangeEnd);
	psli_g_Map.setView({center: psli_g_MapCenter, zoom: psli_g_zoomInitial});
}
	
function psli_MapViewChangeEnd () {
	psli_g_Map.entities.clear();
	psli_g_Map.entities.push(psli_g_ZoomEntity[psli_g_Map.getZoom() - 1]);
}
			
function psli_InitGuestMap() {
    psli_g_mode = "guest";
	
	psli_g_MapOptions = { 
		credentials: psli_g_BingKey, 
		showDashboard:false,
		showMapTypeSelector:false,
		showScalebar:false,
		mapTypeId: Microsoft.Maps.MapTypeId.road,
		center: psli_g_MapCenter,
		zoom: psli_g_zoomInitial
	};
	
	psli_InitMap();	
	psli_g_Map.entities.clear();
	psli_g_Map.entities.push(psli_g_ZoomEntity[psli_g_zoomInitial - 1]);
}
 
function psli_MapsMouseOut (e) { 
	 document.getElementById("Coordonates").innerHTML = "";
}